#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    if(n==1)
        cout<<m;
    else if(m==1)
        cout<<n;
    else
        cout<<(2*n+2*m-4)+((m-2)*(n-2))/2;

    return 0;
}